Subject: Re: EMAC OF binding....

From: Segher Boessenkool <[email-masked]>
Date: Tue, 9 Jan 2007 17:08:34 +0100

> I'm not sure I follow you... for example, I may have some clock contro
> register somewhere with one bit enabling EMAC 0 clock and one bit
> enabling EMAC 1 clock...
>
> Easier to call some platform clock management giving my device-node as
> an argument and have that code extract the EMAC "index" from the DT 
> from
> my node.

You give the phandle of your emac node as argument, that
works just fine with what I proposed too (the SoC PM node
knows the phandles of the emac's).  I think your way isn't
all that clean architecturally and can easily lead to
problems later on; the emac shouldn't have to know *anything*
about the structure of the SoC.

But feel free to do what you want, it's certainly not
a *huge* problem ;-)

Segher